import {Component} from "@angular/core";
import {Location} from "@angular/common";
import * as ApplicationSettings from "application-settings";

@Component({
    selector: "create",
    templateUrl: "./components/create/create.xml",
})
export class CreateComponent {

    private location: Location;
    private items: Array<Object>;
    public firstname: string;
    public lastname: string;

    constructor(location: Location) {
        this.location = location;
        this.items = JSON.parse(ApplicationSettings.getString("items", "[]"));
        this.firstname = "";
        this.lastname = "";
    }

    save() {
        if(this.firstname != "" && this.lastname != "") {
            this.items.push({firstname: this.firstname, lastname: this.lastname});
            ApplicationSettings.setString("items", JSON.stringify(this.items));
            this.location.back();
        }
    }

}
